import { DataSource } from '@angular/cdk/collections';
import { Observable, of as observableOf } from 'rxjs';

import { BeerConsumptionReportItem } from './beer-consumption-report-item';

export class BeerConsumptionReportDataSource extends DataSource<BeerConsumptionReportItem> {
  constructor(public data: BeerConsumptionReportItem[]) {
    super();
  }

  connect(): Observable<BeerConsumptionReportItem[]> {
    return observableOf(this.data);
  }

  disconnect() {}
}
